Bug 14709 - Problems using PulseAudio dbus-protocol module
Summary: Problems using PulseAudio dbus-protocol module
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard: MGA5TOO IN_ERRATA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-01 23:47 CET by Reinout van Schouwen
Modified: 2021-07-25 19:21 CEST (History)
13 users (show)

See Also:
Source RPM: pulseaudio-5.0-5.mga5.src.rpm
CVE:
Status comment:


Attachments

Description Reinout van Schouwen 2014-12-01 23:47:38 CET
Description of problem:

I tried to get pulseaudio-dlna to run (see bug 14685) but it appears that the PulseAudio dbus module doesn't load correctly (my hypothesis).

It claims that 'ERROR:root:PulseAudio seems not to be running or pulseaudio dbus module is not loaded.' 

The dbus module seems to be loaded:

$ pacmd list-modules |grep dbus
	name: <module-dbus-protocol>

However in journalctl I see also:
dec 01 23:34:38 localhost.localdomain pulseaudio[9056]: W: [pulseaudio] server-lookup.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NotSupported: Unable to autolaunch a dbus-daemon without a $DISPLAY for 
dec 01 23:34:38 localhost.localdomain pulseaudio[9056]: W: [pulseaudio] main.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NotSupported: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11

Another clue that the PA DBUS module isn't loaded correctly: 
If I pass the $DBUS_SESSION_BUS_ADDRESS manually in the PULSE_DBUS_SERVER environment variable then it complains about a method not existing on a null interface.

[reinout@localhost pulseaudio-dlna (master)]$ PULSE_DBUS_SERVER=unix:abstract=/tmp/dbus-wmR1LhJXUZ,guid=b5d338a112156ea5f1497be4547ce434 ./pulseaudio-dlna.py --host=192.168.1.68
Traceback (most recent call last):
  File "./pulseaudio-dlna.py", line 92, in <module>
    main()
  File "./pulseaudio-dlna.py", line 75, in main
    pulse = pulseaudio.PulseWatcher()
  File "/home/reinout/devel/pulseaudio-dlna/pulseaudio.py", line 228, in __init__
    self._connect(signals)
  File "/home/reinout/devel/pulseaudio-dlna/pulseaudio.py", line 38, in _connect
    interface.format(sig_name), dbus.Array(signature='o'))
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "ListenForSignal" with signature "sao" on interface "(null)" doesn't exist


Reproducible: 

Steps to Reproduce:
David Walser 2014-12-10 21:56:44 CET

Assignee: bugsquad => mageia

Comment 1 Colin Guthrie 2014-12-11 09:55:15 CET
Hi,

Yeah I'm aware of this issue and am actually working on some fixes, but have not yet finalised them. I know what I need to do to finish it off tho', so should be straight forward enough (I hope).

Will hopefully manage over the weekend a bit (but not overly likely).
Comment 2 Colin Guthrie 2015-01-09 14:29:11 CET
*** Bug 14995 has been marked as a duplicate of this bug. ***

CC: (none) => jyri2000

Comment 3 Samuel Verschelde 2015-05-31 22:12:59 CEST
Will be valid in Mageia 5, unless this bug report is outdated. Adding MGA5TOO in whiteboard. Is it worth an Errata entry (if not, remove FOR_ERRATA from whiteboard)?

Whiteboard: (none) => MGA5TOO FOR_ERRATA

Comment 4 Shlomi Fish 2015-06-10 16:06:27 CEST
Marking as IN_ERRATA.

Whiteboard: MGA5TOO FOR_ERRATA => MGA5TOO IN_ERRATA
CC: (none) => shlomif

Comment 5 Laurent Perroton 2015-12-28 17:32:16 CET
Hi,

Any news about the fix of this bug ?

Thanks

CC: (none) => lperroton

Comment 6 papoteur 2016-11-15 22:17:16 CET
And now?

CC: (none) => yves.brungard_mageia

Comment 7 Herbert Poetzl 2017-02-19 03:27:50 CET
How about now?

Trying to get the Mageia package pulseaudio-module-equalizer working, and qpaeq (from that package) complains:

There was an error connecting to pulseaudio, please make sure you have the pulseaudio dbus module loaded, exiting...

The pulseaudio dbus module seems to be loaded, but the log says:

Feb 19 03:19:52 newhost pulseaudio[6846]: W: [pulseaudio] server-lookup.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NotSupported: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11
Feb 19 03:19:52 newhost pulseaudio[6846]: W: [pulseaudio] main.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NotSupported: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11

So while the equalizer module loads just fine, it cannot be controlled by qpaeq which makes it pretty useless ...

Thanks,
Herbert

CC: (none) => herbert

Comment 8 Fernando Bernardo 2017-03-13 07:17:43 CET
As a temporary but fully functional hack install pulseaudio-equalizer-2.7-1pclos2016.noarch.rpm. It uses the GTK application so does ROSA Linux. I can't find an advantadge in using qpaeq over pulseaudio-equalizer gtk. The existance of this version in both distros makes me wonder if fixing qpaeq is the best solution.

CC: (none) => fernando.j.ferreira

Comment 9 Herbert Poetzl 2017-03-13 16:20:01 CET
Hmm, I rebuilt the source package for Mageia (which went fine) and installed ladspa (dependency) and the resulting package.

pulseaudio-equalizer-gtk starts and shows a nice equalizer, but unfortunately it doesn't seem to have any effect on the sound output. Note that I checked 'EQ Enabled' and also pressed 'Apply Settings'.

 

Getting settings...
Applying settings...
Disabling persistence...
Current operation: saving configuration (disable-config)
-------------------------------------
Equalizer setting saved (disable-config).
-------------------------------------
Enabling...
PulseAudio Equalizer/LADSPA Processor 2.7 (05/02/2010)
-------------------------------------
Current operation: disabling equalizer
-------------------------------------
Unloading & reloading stream-restore module...
Unloading module-ladspa-sink...
Moving active PulseAudio clients to ALSA sink (alsa_output.pci-0000_09_00.0.analog-stereo.equalizer)...
Transferring current mute (0) & volume (68%) to ALSA sink (alsa_output.pci-0000_09_00.0.analog-stereo.equalizer)...
-------------------------------------
Current operation: enabling equalizer
-------------------------------------
Unloading & reloading stream-restore module...
Loading module-ladspa-sink...
Transferring current mute (0) & volume (68%) to LADSPA sink (ladspa_output.mbeq_1197.mbeq)...
Setting ALSA sink (alsa_output.pci-0000_09_00.0.analog-stereo.equalizer) preamp (1.0x)...
Setting LADSPA sink (ladspa_output.mbeq_1197.mbeq) as default sink...
Moving active PulseAudio clients to LADSPA sink (ladspa_output.mbeq_1197.mbeq)...
-------------------------------------
Equalizer status: [disabled]
Equalizer configuration status: [disabled]
-------------------------------------
Comment 10 Fernando Bernardo 2017-03-13 16:57:58 CET
Hello!

From my experience this has nothing to do with pulseaudio-equalizer itself.
Sometimes in different distros that problem arises in both qpaeq and pulseaudio-equalizer. What I mean is the problem would still be there even if qpaeq launched.

The problem is in your configuration although I never figured out how to solve it. Usually if I install the equalizer shortly after installing the distro it works. 
Sometimes it fails to work if I add it, say somedays later. This happens on all distros. From Arch to Mint, for example.

In my case pulseaudio-equalizer worked the minute I installed the PCLos rpm with speakers connected through Bluetooth. You also may run in terminal pulseaudio-equalizer enable (or disable).
Comment 11 Florian Hubold 2021-07-19 21:15:26 CEST
Ping?

FWIW back when I tested, to make qpaeq work you would need to load the necessary pulseaudio modules beforehand, that is as regular user:

pactl load-module module-equalizer-sink
pactl load-module module-dbus-protocol

This is also mentioned (with a general deprecation notice about the equalizer module) at https://wiki.archlinux.org/title/PulseAudio#Integrated_module

But maybe we should deprecate qpaeq in favor of pulseeffects ? If not, then qpaeq should be fixed to auto-load the 2 above mentioned modules in the users pulseaudio session.

CC: (none) => doktor5000

Comment 12 Marja Van Waes 2021-07-21 21:11:19 CEST
(In reply to Florian Hubold from comment #11)
> Ping?
> 
> FWIW back when I tested, to make qpaeq work you would need to load the
> necessary pulseaudio modules beforehand, that is as regular user:
> 
> pactl load-module module-equalizer-sink
> pactl load-module module-dbus-protocol
> 
> This is also mentioned (with a general deprecation notice about the
> equalizer module) at
> https://wiki.archlinux.org/title/PulseAudio#Integrated_module
> 
> But maybe we should deprecate qpaeq in favor of pulseeffects ? If not, then
> qpaeq should be fixed to auto-load the 2 above mentioned modules in the
> users pulseaudio session.

CC'ing some pulseaudio committers and reassigning to all packagers collectively, because Colin isn't really around.

Assignee: mageia => pkg-bugs
CC: (none) => geiger.david68210, ghibomgx, mageia, marja11, thierry.vignaud, zen25000

Comment 13 Barry Jackson 2021-07-25 19:21:11 CEST
(In reply to Marja Van Waes from comment #12)
> (In reply to Florian Hubold from comment #11)

> > 
> > But maybe we should deprecate qpaeq in favor of pulseeffects ? If not, then
> > qpaeq should be fixed to auto-load the 2 above mentioned modules in the
> > users pulseaudio session.
> 
> CC'ing some pulseaudio committers and reassigning to all packagers
> collectively, because Colin isn't really around.

In Mageia 9 pulseaudio will (I guess) be dead as certainly will pulseeffects.
In Mageia 8 pulseaudio with pulseffects should be working fine.

pulseaudio is being replaced by pipewire and pulseeffects is being replaced by easyeffects (WIP package immenent).

New development on pulseeffects has stopped but it is still (for now) being maintained for bug/security fixes.

Note You need to log in before you can comment on or make changes to this bug.